This queue is for tickets about the Module-Install CPAN distribution.

Report information
The Basics
Id:
65266
Status:
open
Priority:
Low/Low

People
Owner:
Nobody in particular
Requestors:
wdhawes [...] gmail.com(receives daily digests)
Cc:
AdminCc:

BugTracker
Severity:
Normal
Broken in:
  • 1.00
  • 1.16
  • 1.19
Fixed in:
(no value)



Subject: checkdeps/installdeps rules missing
I'm using the following Makefile.PL, based on the one under "SYNOPSIS" at http://search.cpan.org/~adamk/Module-Install-1.00/lib/Module/AutoInstall.pm: use inc::Module::Install; name 'Joe-Hacker'; version '1'; abstract 'Perl Interface to Joe Hacker'; author 'Joe Hacker <joe@hacker.org>'; include 'Module::AutoInstall'; requires 'Module0' => '0.1'; WriteAll; The POD under "Using make (or nmake)" says I should be able to do the following to check/install my dependencies: % make checkdeps # same as the --checkdeps above % make installdeps # install dependencies only However, when I try either of these (starting with a completely clean build environment) I see output like the following: $ perl Makefile.PL && make && make installdeps Warning: prerequisite Module0 0.1 not found. Writing Makefile for Joe::Hacker make: *** No rule to make target `installdeps'. Stop. I've probably missed something fundamental, but having re-read the docs several times and turned up nothing useful on Google, I can't see what. $ perl -V Summary of my perl5 (revision 5 version 10 subversion 1) configuration: Platform: osname=linux, osvers=2.6.24-27-server, archname=i486-linux-gnu-thread-multi uname='linux vernadsky 2.6.24-27-server #1 smp fri mar 12 01:45:06 utc 2010 i686 gnulinux ' config_args='-Dusethreads -Duselargefiles -Dccflags=-DDEBIAN -Dcccdlflags=-fPIC -Darchname=i486-linux-gnu -Dprefix=/usr -Dprivlib=/usr/share/perl/5.10 -Darchlib=/usr/lib/perl/5.10 -Dvendorprefix=/usr -Dvendorlib=/usr/share/perl5 -Dvendorarch=/usr/lib/perl5 -Dsiteprefix=/usr/local -Dsitelib=/usr/local/share/perl/5.10.1 -Dsitearch=/usr/local/lib/perl/5.10.1 -Dman1dir=/usr/share/man/man1 -Dman3dir=/usr/share/man/man3 -Dsiteman1dir=/usr/local/man/man1 -Dsiteman3dir=/usr/local/man/man3 -Dman1ext=1 -Dman3ext=3perl -Dpager=/usr/bin/sensible-pager -Uafs -Ud_csh -Ud_ualarm -Uusesfio -Uusenm -DDEBUGGING=-g -Doptimize=-O2 -Duseshrplib -Dlibperl=libperl.so.5.10.1 -Dd_dosuid -des' hint=recommended, useposix=true, d_sigaction=define useithreads=define, usemultiplicity=define useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef use64bitint=undef, use64bitall=undef, uselongdouble=undef usemymalloc=n, bincompat5005=undef Compiler: cc='cc', ccflags ='-D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64', optimize='-O2 -g', cppflags='-D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include' ccversion='', gccversion='4.4.3', gccosandvers='' intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234 d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12 ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8 alignbytes=4, prototype=define Linker and Libraries: ld='cc', ldflags =' -fstack-protector -L/usr/local/lib' libpth=/usr/local/lib /lib /usr/lib /usr/lib64 libs=-lgdbm -lgdbm_compat -ldb -ldl -lm -lpthread -lc -lcrypt perllibs=-ldl -lm -lpthread -lc -lcrypt libc=/lib/libc-2.11.1.so, so=so, useshrplib=true, libperl=libperl.so.5.10.1 gnulibc_version='2.11.1' Dynamic Linking: dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E' cccdlflags='-fPIC', lddlflags='-shared -O2 -g -L/usr/local/lib -fstack-protector' Characteristics of this binary (from libperl): Compile-time options: MULTIPLICITY PERL_DONT_CREATE_GVSV PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP USE_ITHREADS USE_LARGE_FILES USE_PERLIO USE_REENTRANT_API Built under linux Compiled at Apr 23 2010 07:36:53 @INC: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .
I have this error too. PLEASE fix it, or update the documentation so we know how to use your module!
Slight update. This definitely seems broke. I added the following line to my Makefile.PL: installdeps_target; I do see the message during `perl Makefile.PL`: Warning: prerequisite Module0 0.1 not found. BUT the generated Makefile contains the following: installdeps :: $(NOECHO) $(NOOP) installdeps_notest :: $(NOECHO) $(NOOP) -- - - Martin 'Kingpin' Thurn
Update! If you put the call to `installdeps_target` in your Makefile.PL AFTER -- repeat AFTER -- all your calls to `requires`, it seems to work!
STILL BROKEN three years later!
On 2018-11-02 09:49:41, MTHURN wrote:
Show quoted text
> STILL BROKEN three years later!
No one has been going out of their way to fix Module::Install since it is so fundamentally broken in so many ways and everything needs to migrate off of it anyway if they want to work in perls where '.' is not in @INC.


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.